#Module-Specific definitions
%define mod_version 1.01
%define release 1mdk
%define mod_name mod_ap2_snmp
%define mod_conf A26_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}_%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 10
BuildRequires:	%{ap_name}-devel >= 2.0.50-1mdk

Summary:	Mod_ap2_snmp is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0: 	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
Source2:	mod_ap2_snmp.README.MDK.bz2
Source3:	mod_ap2_snmp.snmpd.conf.bz2
Patch0:		mod_ap2_snmp_1.01-mod_ap2_snmp.c-gcc34.diff.bz2
Patch1:		mod_ap2_snmp_1.01-typos_and_wordings_fix.diff.bz2
License:	GPL
URL:		http://eplx.homeip.net/mod_apache_snmp/
BuildRequires:	openssl-devel
BuildRequires:	net-snmp-devel >= 5.1.2-2mdk
Requires:	net-snmp-mibs >= 5.1.2-2mdk
Requires:	net-snmp >= 5.1.2-2mdk
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This module allows you to monitor different configuration and
status values of Apache Web Server by SNMP (Simple Network
Management Protocol).

%prep

%setup -q -n %{sourcename}
%patch0 -p0
%patch1 -p0

bzcat %{SOURCE2} > README.MDK
bzcat %{SOURCE3} > snmp.conf

%build

%{apxs} -c -I%{_includedir}/net-snmp mod_ap2_snmp.c -lnetsnmp -lcrypto

# -DMOD_SNMP_DEBUG

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

# fix temp dir
install -d %{buildroot}/var/cache/httpd/mod_ap2_snmp

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc AUTHORS README README.MDK snmp.conf
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*
%attr(0775,apache,apache) %dir /var/cache/httpd/mod_ap2_snmp

%changelog
* Mon Aug 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.01-1mdk
- initial mandrake package
- added P0,P1,S1,S2 & S3
